| Flutter Windows Embedder |

Public Member Functions | Friends | List of all members
flutter::DartProject Class Reference

`#include <dart_project.h>`

## Public Member Functions
| DartProject (const std::wstring &assets_path, const std::wstring &icu_data_path, const std::wstring &aot_library_path)
| DartProject (const std::wstring &path)
| ~DartProject ()=default
void | set_dart_entrypoint (const std::string &entrypoint)
const std::string & | dart_entrypoint () const
void | set_dart_entrypoint_arguments (std::vector< std::string > arguments)
const std::vector< std::string > & | dart_entrypoint_arguments () const

## Friends
class | FlutterEngine
class | FlutterViewController
class | DartProjectTest

## Detailed Description

Definition at line 14 of file dart_project.h.

## Constructor & Destructor Documentation

## ◆ DartProject() [1/2]

flutter::DartProject::DartProject | ( | const std::wstring & | assets_path,
|  | const std::wstring & | icu_data_path,
|  | const std::wstring & | aot_library_path
| ) |  |
| inlineexplicit

Definition at line 24 of file dart_project.h.

26 {
27 assets_path_ = assets_path;
28 icu_data_path_ = icu_data_path;
29 aot_library_path_ = aot_library_path;
30 }

## ◆ DartProject() [2/2]

flutter::DartProject::DartProject | ( | const std::wstring & | path | ) |
| inlineexplicit

Definition at line 40 of file dart_project.h.

40 {
41 assets_path_ = path + L"\\flutter_assets";
42 icu_data_path_ = path + L"\\icudtl.dat";
43 aot_library_path_ = path + L"\\app.so";
44 }

## ◆ ~DartProject()

flutter::DartProject::~DartProject | ( |  | ) |
| default

## Member Function Documentation

## ◆ dart_entrypoint()

const std::string& flutter::DartProject::dart_entrypoint | ( |  | ) | const
| inline

Definition at line 60 of file dart_project.h.

60 { return dart_entrypoint_; }

Referenced by flutter::FlutterEngine::FlutterEngine().

## ◆ dart_entrypoint_arguments()

const std::vector<std::string>& flutter::DartProject::dart_entrypoint_arguments | ( |  | ) | const
| inline

Definition at line 70 of file dart_project.h.

70 {
71 return dart_entrypoint_arguments_;
72 }

Referenced by flutter::FlutterEngine::FlutterEngine(), and flutter::TEST_F().

## ◆ set_dart_entrypoint()

void flutter::DartProject::set_dart_entrypoint | ( | const std::string & | entrypoint | ) |
| inline

Definition at line 52 of file dart_project.h.

52 {
53 if (entrypoint.empty()) {
54 return;
55 }
56 dart_entrypoint_ = entrypoint;
57 }

Referenced by flutter::TEST().

## ◆ set_dart_entrypoint_arguments()

void flutter::DartProject::set_dart_entrypoint_arguments | ( | std::vector< std::string > | arguments | ) |
| inline

Definition at line 64 of file dart_project.h.

64 {
65 dart_entrypoint_arguments_ = std::move(arguments);
66 }

Referenced by flutter::TEST(), and flutter::TEST_F().

## Friends And Related Function Documentation

## ◆ DartProjectTest

friend class DartProjectTest
| friend

Definition at line 81 of file dart_project.h.

## ◆ FlutterEngine

friend class FlutterEngine
| friend

Definition at line 79 of file dart_project.h.

## ◆ FlutterViewController

friend class FlutterViewController
| friend

Definition at line 80 of file dart_project.h.

The documentation for this class was generated from the following file:

- shell/platform/windows/client_wrapper/include/flutter/dart_project.h